Welcome, Guest. Please login or register.
April 18, 2014, 07:59:20 AM
Home Help Search Calendar Login Register
Show unread posts since last visit.
News: Let Pardus-Anka become #1: Pardus-Anka Bug ReportPardus-Anka World Google+ | The Pardus wiki  | Visit Pardus-Anka official website  | Register as forum member?  Email the moderator!

+  Pardus Worldforum
|-+  General
| |-+  Wish list
| | |-+  [Solved] AbiWord, please?
0 Members and 1 Guest are viewing this topic. « previous next »
Pages: [1] Go Down Print
Author Topic: [Solved] AbiWord, please?  (Read 2154 times)
Mourningdove
Pardus fellow craft
**
Posts: 59



View Profile
« on: October 17, 2008, 02:29:00 AM »

I know it's a Gnome application, not KDE, but it should run fine; the newest version (2.6), especially, is more versatile than KWord, and not as resource-heavy as OpenOffice Writer.

http://www.abisource.com/download/

One of my Pardus installs is on a special-applications computer that is absolutely silent. The tradeoff is that it has a Pentium M chip and doesn't handle graphics especially quickly, so something more lightweight than OOo would be a lot of help.

I know somebody has to build the PiSi packages and maintain the repos, and my thanks for all the cool stuff that is available. I just want to bug you for a few more things!
« Last Edit: October 27, 2008, 20:54:33 PM by Mhmrcs » Logged
Andreas
Guest
« Reply #1 on: October 17, 2008, 07:57:39 AM »

Hello,

I wrote this today to the Bug-Team:

http://bugs.pardus.org.tr/show_bug.cgi?id=8445

Greetings
Andreas
« Last Edit: October 17, 2008, 08:03:22 AM by Andreas » Logged
Michiel
Administrator
Pardus Guru
*****
Posts: 799



View Profile
« Reply #2 on: October 17, 2008, 08:46:39 AM »

Apparently people have already been working on it recently, but somehow the final PISI build failed according to this m ai,linglist:

http://liste.uludag.org.tr/buildfarm/2008-September/000225.html

[Buildfarm] [Contrib-2008] error: applications/office/abiword/pspec.xml
Pardus Buildfarm 2008 (Contrib) buildfarm at pardus.org.tr
28 Eyl 2008 Paz 22:13:39 EEST

    * Önceki mesaj: [Buildfarm] [Contrib-2008] error: programming/languages/python/python2-biggles/pspec.xml
    * Sonraki mesaj: [Buildfarm] [Contrib-2008] info
    * Mesaj sıralaması: [ tarih ] [ thread ] [ konu ] [ yazar ]

Hello,

This message is sent from Pardus buildfarm. Please do not reply as it is automatically generated.

An error occured while processing the file 'applications/office/abiword/pspec.xml' (maintainer: 'Serdar Dalgıç'). Error log is as follows:

--------------------------------------------------------------------------
Error occured for 'applications/office/abiword/pspec.xml' in BUILD
process:
 Sandbox ihlali!

=====================

So I guess abiword  pisi package will soon return in the repo's (it ahs been mentioned earlier in a topic on Pardus and xfce WM).
Logged

Former Pardus user, now on OpenSUSE 12.2 (KDE)
nkoc
Pardus fellow craft
**
Posts: 41


View Profile
« Reply #3 on: October 17, 2008, 09:49:56 AM »

hallo,
you can build and install abiword ;

Code:
sudo pisi bi https://svn.pardus.org.tr/contrib/devel/applications/office/abiword/pspec.xml

and

Code:
sudo pisi it abiword-2.6.4-2.pisi

nkoc
« Last Edit: October 17, 2008, 09:52:42 AM by Michiel » Logged
Andreas
Guest
« Reply #4 on: October 17, 2008, 10:12:45 AM »

Hello,

and here the answer of Bug-Team:

Code:
------- Comment #1 From Serdar Dalgıç 2008-10-17 09:14:31 -------

Abiword package is ready to be installed , but a dependency of it, a new
version of wv(wv-1.2.4-3-3.pisi), still waits in testing repository. I don't
want to merge the abiword package to contrib 2008 repository, since a
dependency of it is not in official repositories.

As soon as wv hits the repositories, I'm gonna merge abiword package to contrib
2008 repository.

alternatively, you can build the package with the command:

svn build
https://svn.pardus.org.tr/contrib/devel/applications/office/abiword/pspec.xml

but first, you must install the package of the dependency:
http://paketler.pardus.org.tr/pardus-2008-test/wv-1.2.4-3-3.pisi

As soon as the new version of wv hits the repositories, I'm gonna put the
abiword package to contrib 2008 repository and I'll close this bug ;)
Greetings
Andreas
Logged
Mourningdove
Pardus fellow craft
**
Posts: 59



View Profile
« Reply #5 on: October 20, 2008, 05:16:59 AM »

Cool! From what Serdar Dalgıç said, I shouldn't have to wait a whole long time for wv to make it into the repo. I have one PC downstairs that I'm not using for work, maybe I'll try building AbiWord with that svn command on that one.
Logged
Mourningdove
Pardus fellow craft
**
Posts: 59



View Profile
« Reply #6 on: October 21, 2008, 05:00:44 AM »

I was feeling bold tonight, so I installed the wv dependency, then did those two lines as stated by nkoc, and everything works fine.

abisource's file site looks like this:

   Parent Directory        -
[ ]   MD5SUM   13-Jul-2008 15:29    240
[ ]   abiword-2.6.4.tar.gz   13-Jul-2008 15:28    8.8M
[ ]   abiword-docs-2.6.4.tar.gz   13-Jul-2008 15:28    1.4M
[ ]   abiword-extras-2.6.4.tar.gz   13-Jul-2008 15:28    2.0M
[ ]   abiword-plugins-2.6.4.tar.gz   13-Jul-2008 15:28    1.7M

If I wanted to install the abiword-extras (which includes the spell checker) and abiword-plugins, how should I best proceed?

Thanks again. Even without the extras, this'll be a big help on the special-needs computer.
Logged
Michiel
Administrator
Pardus Guru
*****
Posts: 799



View Profile
« Reply #7 on: October 22, 2008, 09:19:40 AM »

http://paketler.pardus.org.tr/contrib-2008/abiword-2.6.4-2-1.pisi is now available (contrib-2008 repo), however I do not know whether the additional packages (extras) are included)
Logged

Former Pardus user, now on OpenSUSE 12.2 (KDE)
Mourningdove
Pardus fellow craft
**
Posts: 59



View Profile
« Reply #8 on: October 23, 2008, 03:43:24 AM »

Michiel,

I tried to install the AbiWord PiSi on the special-needs computer, both from the updated contributor repo, and then directly from the link in your post. I uninstalled it after the first time.

When I try to launch AbiWord, I see the spinning logo in the main panel for about 10 or 15 seconds, then it goes away, and doesn't launch.

I haven't yet tried to install it on this computer with the method given by nkoc a few posts back. I did that on another computer and it worked OK. If I try it on this one, maybe we can learn if there's something wrong with the PiSi package or if there's some conflict on this particular computer. I'll try it tomorrow if I get a chance (very long day coming up), or else Friday, if that would be helpful.
Logged
Mourningdove
Pardus fellow craft
**
Posts: 59



View Profile
« Reply #9 on: October 24, 2008, 02:21:20 AM »

OK, I uninstalled the AbiWord from yesterday. Tonight, I ran the two lines of code posted by nkoc on 17 October and have a functioning AbiWord.

Those lines of code installed a lot of stuff: gcc and 26 other packages which looked like Gnome core files (I'm not sure what icecream-scheduler is).

But either I have an anomalous condition on this computer that interferes with the AbiWord package in the repo, or there's something not quite right about the package. I'm guessing it's the latter.
Logged
lashni
Pardus fellow craft
**
Gender: Male
Posts: 53


View Profile
« Reply #10 on: October 26, 2008, 03:07:49 AM »

This might be relevant to your problem Mourningdove. I went to run Abiword after installing from the repo and encountered the following error:

abiword: error while loading shared libraries: libgnomeui-2.so.0: cannot open shared object file: No such file or directory

I've submitted an updated pspec.xml/actions.py to pardus-devel with libgnomeui added as a dependency. If the change is approved by the devel team, it might take a few days for the update to make it to the repo. So if anyone encounters this problem in the meantime just do the following as root:

pisi it libgnomeui

EDIT: Serdar has commited the changes to contrib, so it should turn up in the repos in a few days.
« Last Edit: October 26, 2008, 04:41:51 AM by lashni » Logged
Michiel
Administrator
Pardus Guru
*****
Posts: 799



View Profile
« Reply #11 on: October 27, 2008, 20:31:13 PM »

http://paketler.pardus.org.tr/contrib-2008/abiword-2.6.4-3-2.pisi

was added today 27 October 2008
Logged

Former Pardus user, now on OpenSUSE 12.2 (KDE)
Pages: [1] Go Up Print 
« previous next »
Jump to:  


Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!